summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xhooks/post-receive6
1 files changed, 3 insertions, 3 deletions
diff --git a/hooks/post-receive b/hooks/post-receive
index 9c2838b..9b8b7fe 100755
--- a/hooks/post-receive
+++ b/hooks/post-receive
@@ -44,12 +44,12 @@ for rulefile in /etc/firewall/rules.d/*; do
echo 'include "'${rulefile}'"' >> ${TEMPFILE}
isok $? -q
done
-
-${MV} ${TEMPFILE} ${PFCONF_PATH}
isok $?
echo -n "Testing if new config is sane... "
-${PFCTL} -nf ${PFCONF_PATH}
+${PFCTL} -nf ${TEMPFILE}
+isok $? -q
+${MV} ${TEMPFILE} ${PFCONF_PATH}
isok $?
echo -n "Loading new config... "